Bug 46166 - Adjust links to sdb.univention.de / link in system diagnostic to "deal with S4 rejects" is outdated
Adjust links to sdb.univention.de / link in system diagnostic to "deal with S...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - System diagnostic
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.3-0-errata
Assigned To: Jannik Ahlers
Johannes Keiser
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-25 12:32 CET by Tobias Birkefeld
Modified: 2018-03-28 13:28 CEST (History)
3 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 5: Will affect all installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.171
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
birkefeld: Patch_Available+


Attachments
patch for bug (900 bytes, patch)
2018-01-25 14:07 CET, Tobias Birkefeld
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Birkefeld univentionstaff 2018-01-25 12:32:07 CET
The link in system diagnostic to "How to deal with s4-connector rejects" is outdated. The link map to the old sdb.univention.de address. It should link to https://help.univention.com/t/33
Comment 1 Erik Damrose univentionstaff 2018-01-25 12:42:07 CET
There should be a redirect from the SDB to the help.univention.com thread. Does that not work? Note: You are not redirected if you are accessing sdb.univention.de from the internal univention network.
Comment 2 Tobias Birkefeld univentionstaff 2018-01-25 13:56:27 CET
(In reply to Erik Damrose from comment #1)
> There should be a redirect from the SDB to the help.univention.com thread.
> Does that not work? Note: You are not redirected if you are accessing
> sdb.univention.de from the internal univention network.

redirect doesn't work. The redirect maps only to https://help.univention.com/c/knowledge-base, and not to the dedicated article.
Comment 3 Erik Damrose univentionstaff 2018-01-25 14:04:36 CET
What is the original link in the sdb?
Comment 4 Tobias Birkefeld univentionstaff 2018-01-25 14:07:33 CET
Created attachment 9366 [details]
patch for bug
Comment 5 Stefan Gohmann univentionstaff 2018-01-25 19:25:50 CET
The redirect is only implemented for the article IDs, in this case for http://sdb.univention.de/1302.
Comment 6 Erik Damrose univentionstaff 2018-01-26 09:46:47 CET
In a quick search i found the following additional links to sdb.univention.de in our product that will not be redirected. The links should be updated with the respective help.univention.com URL

management/univention-management-console-module-diagnostic/umc/python/diagnostic/plugins/00_check_server_password.py:	'href': _('http://sdb.univention.de/content/24/330/en/manually-trigger-server-password-change.html')
management/univention-management-console-module-diagnostic/umc/python/diagnostic/plugins/03_check_notifier_replication.py:	'href': _('http://sdb.univention.de/content/14/295/en/troubleshooting-listener__notifier.html')
base/univention-updater/README.devel:* [SDB 91](http://sdb.univention.de/content/12/91/de/wie-koennen-eigene-pakete-fuer-ucs-bereitgestellt-werden.html)
base/univention-updater/README.devel:* [SDB 135](http://sdb.univention.de/content/12/135/de/wie-kann-ein-repository-fuer-ucs-bereitgestellt-werden.html)
Comment 7 Stefan Gohmann univentionstaff 2018-03-15 06:35:43 CET
Move to 4.3-0-errata. If a UCS 4.2 backport is needed, please clone this issue.
Comment 8 Jannik Ahlers univentionstaff 2018-03-20 11:41:17 CET
I updated the links to the corresponding knowledge base articles in branch jahlers/46166-update-links. I also removed unnecessary translations, as there are currently no translated versions of the articles available.

I had to change the links in base/univention-updater/README.devel to the official documentation
(http://docs.software-univention.de/manual-4.3.html), as those topics don't exist in the knowledge base.
Comment 9 Arvid Requate univentionstaff 2018-03-20 20:00:08 CET
You probably have to nudge the QA guy if you want QA of you feature branch. Since the Bug is still open, he will not have it on his radar that you expect some action from him. The other option is to temporarily set it to resolved and ask the QA to reopen again for the merge.
Comment 10 Jannik Ahlers univentionstaff 2018-03-23 10:50:17 CET
Successful build
Package: univention-updater
Version: 13.0.1-40A~4.3.0.201803231033
Branch: ucs_4.3-0
Scope: errata4.3-0

Successful build
Package: univention-management-console-module-diagnostic
Version: 4.0.0-26A~4.3.0.201803231038
Branch: ucs_4.3-0
Scope: errata4.3-0
Comment 11 Arvid Requate univentionstaff 2018-03-26 10:54:13 CEST
check_errata_for_release says that the advisory entry is missing:

[FAIL] changes.valid: Mismatching binary package version: 4.0.0-25A~4.3.0.201803211244 != univention-management-console-module-diagnostic 4.0.0-26A~4.3.0.201803231038 from univention-management-console-module-diagnostic 4.0.0-26A~4.3.0.201803231038
Comment 12 Jannik Ahlers univentionstaff 2018-03-26 11:37:04 CEST
Fixed that:
univention-management-console-module-diagnostic.yaml
85685432e1dd | Bug #46166: YAML
Comment 13 Johannes Keiser univentionstaff 2018-03-26 12:11:08 CEST
OK Links
OK YAML (typo: 2d29a9a)
-> Verified
Comment 14 Arvid Requate univentionstaff 2018-03-26 13:24:14 CEST
[FAIL] desc.line.10: line length: '* Links to knowledge base articles now point to the correct addresses (Bug #4'|'6166).'
Comment 15 Arvid Requate univentionstaff 2018-03-26 13:25:10 CEST
Plus:

4.3/base/univention-updater     OPEN
 46166     VERIFIED/FIXED      (ready) Adjust links to sdb.univention.de / link in system diagnostic to "deal with S4 rejects" is outdated
[FAIL] src.given:
[FAIL] changes.valid: No files found
[FAIL] filename.src: univention-updater.yaml
Comment 16 Arvid Requate univentionstaff 2018-03-27 18:28:12 CEST
Hmm, looks like fixed? Setting it to fixed now.